#!/bin/bash
#
# Copyright (c) 2019 Clementine Computing LLC.
#
# This file is part of PopuFare.
#
# PopuFare is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# PopuFare is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with PopuFare.  If not, see <https://www.gnu.org/licenses/>.
#

VERBOSE=0

mkdir -p stage
mkdir -p package

pkgver=`date '+%Y%m%d-%H-%M-%S'`

DIUDIR=`realpath ../../busunit`

pkgfile="package-$pkgver.tgz"
pkgdir="package-$pkgver"

mkdir -p stage/$pkgdir

pushd stage/$pkgdir > /dev/null

  if [[ "$VERBOSE" == 1 ]] ; then
    echo  "# Creating $pkgfile in './stage/'"
  fi
  cp -R $DIUDIR/. .

  cp $DIUDIR/scripts/package_install.sh install.sh
  touch popufare.witness

  # copy over site specific files that overwrite default
  # files.
  #
  cp -R ../../site .

  tar -czf ../$pkgfile *

popd > /dev/null

rm -rf stage/$pkgdir

if [[ "$VERBOSE" == 1 ]] ; then
  echo "# done"
fi

if [[ "$VERBOSE" == 1 ]] ; then
  echo "# putting package '$pkgfile' in ./package"
fi

mv stage/$pkgfile package
